엔드포인트
이 페이지에서는 프로그래밍 방식으로 금융 뉴스 기사를 검색하는 데 사용할 수 있는 다양한 엔드포인트를 자세히 살펴봅니다. finlight.me API를 사용하여 기사를 쿼리하는 방법을 알아봅니다.
기사 모델
응답 기사 모델에는 링크, 제목, 게시 날짜, 출처 등 기사에 대한 모든 정보가 포함됩니다. 또한 센티먼트와 그에 대한 신뢰도가 포함됩니다.
- Name
link- Type
- string
- Description
기사 전문의 URL.
- Name
source- Type
- string
- Description
출처 웹사이트. 예:
www.reuters.com
- Name
title- Type
- string
- Description
기사의 제목.
- Name
summary- Type
- string
- Description
기사 요약(있는 경우). null일 수 있습니다.
- Name
publishDate- Type
- Date
- Description
ISO 날짜 형식의 게시 날짜.
- Name
createdAt- Type
- Date
- Description
기사가 finlight 시스템에 처음 색인된 날짜(ISO 8601 날짜 문자열).
orderBy=createdAt를 사용하는 경우에만 반환됩니다.
- Name
revisedDate- Type
- Date | null
- Description
최초 게시 후 기사가 마지막으로 수정된 날짜(ISO 8601 날짜 문자열). 기사가 한 번도 수정되지 않은 경우
null.orderBy=revisedDate를 사용하거나 WebSocket/Webhook을 통해includeUpdates가 활성화된 경우 반환됩니다.
- Name
isUpdate- Type
- boolean
- Description
이 기사 페이로드가 게시 후 수정으로 인해 트리거된 재전송인 경우
true. WebSocket 또는 Webhook 구독에서includeUpdates가 활성화된 경우에만 존재합니다.
- Name
language- Type
- string
- Description
ISO 639-1 형식의 언어 코드. 예:
en|de|fr
- Name
sentiment- Type
- string
- Description
센티먼트 분석 결과. 값은
positive|neutral|negative일 수 있습니다.
- Name
confidence- Type
- string
- Description
센티먼트 분석의 신뢰도(0에서 1까지)로, 문자열화된 숫자로 반환됩니다(예:
"0.95"). TypeScript 및 Python 클라이언트는 이를 숫자로 파싱해 줍니다.
- Name
images- Type
- string[]
- Description
기사의 이미지 URL 배열.
- Name
countries- Type
- string[]
- Description
기사와 관련된 국가를 나타내는 ISO 3166-1 alpha-2 형식의 국가 코드 배열. 예:
["US", "GB", "DE"]. 비어 있을 수 있습니다.
- Name
categories- Type
- string[]
- Description
기사 카테고리 배열. 가능한 값:
markets|economy|business|politics|geopolitics|regulation|technology|energy|commodities|crypto|health|climate|security. 비어 있을 수 있습니다.
- Name
companies- Type
- Company[]
- Description
기사에서 언급된 회사 배열. 특정 구독 등급에서만 표시/이용 가능합니다. null일 수 있습니다.
회사 모델
응답 회사 모델에는 기사에서 언급된 회사에 대한 정보가 포함됩니다. 회사명, 티커 심볼, 산업 등의 세부 정보가 포함됩니다.
- Name
companyId- Type
- number
- Description
회사의 고유 식별자.
- Name
confidence- Type
- string
- Description
회사 식별의 신뢰도로, 0에서 1 사이의 문자열화된 숫자입니다(예:
"0.93"). TypeScript 및 Python 클라이언트는 이를 숫자로 파싱해 줍니다.
- Name
country- Type
- string
- Description
회사가 소재한 국가(ISO 3166-1 alpha-2 형식). 예:
US|DE|GB
- Name
exchange- Type
- string
- Description
회사가 상장된 증권 거래소.
- Name
industry- Type
- string
- Description
회사의 산업 분야. 예:
Biotechnology, Technology
- Name
name- Type
- string
- Description
회사의 정식 명칭. 예:
Apple Inc.
- Name
sector- Type
- string
- Description
회사의 섹터. 예:
Technology|Health Care
- Name
ticker- Type
- string
- Description
회사의 주식 티커 심볼. 예:
AAPL|GOOGL
- Name
isin- Type
- string
- Description
회사의 국제 증권 식별 번호(ISIN). 예:
US0378331005
- Name
openfigi- Type
- string
- Description
회사의 OpenFIGI 식별자. 예:
BBG000B9XRY4
- Name
primaryListing- Type
- object
- Description
회사의 주요 증권 거래소 상장 정보.
- Name
primaryListing.ticker- Type
- string
- Description
주요 거래소의 기본 티커 심볼.
- Name
primaryListing.exchangeCode- Type
- string
- Description
주식이 상장된 주요 거래소의 코드.
- Name
primaryListing.exchangeCountry- Type
- string
- Description
주식이 상장된 주요 거래소의 국가.
- Name
isins- Type
- string[]
- Description
회사의 국제 증권 식별 번호(ISIN) 배열.
- Name
otherListings- Type
- object[]
- Description
회사의 기타 증권 거래소 상장 배열.
- Name
otherListings[].ticker- Type
- string
- Description
대체 거래소의 티커 심볼.
- Name
otherListings[].exchangeCode- Type
- string
- Description
주식이 상장된 대체 거래소의 코드.
- Name
otherListings[].exchangeCountry- Type
- string
- Description
주식이 상장된 대체 거래소의 국가.
기사 가져오기
상세 분석, 회사 정보 등을 포함한 기사 정보를 검색합니다. 일부 필드는 접근하려면 특정 구독 등급이 필요하다는 점에 유의하세요.
선택적 BODY 매개변수
이 엔드포인트는 POST 요청을 사용하므로 요청 본문에 매개변수를 전달할 수 있습니다. 이를 통해 더 복잡한 쿼리와 필터링 옵션이 가능합니다.
- Name
query- Type
- string
- Description
간단하거나 고급 필터로 관련 기사를 찾기 위한 검색 쿼리. 고급 쿼리
- Name
sources- Type
- string[]
- Description
단일 또는 여러 출처에 대한 간단한 필터(문자열 배열). 유효한 값은 "모든 출처 가져오기" 엔드포인트를 참조하세요. 모든 출처를 포함하기 위한 와일드카드
"*"를 지원합니다.
- Name
optInSources- Type
- string[]
- Description
기본 출처 집합에 더해 포함할 추가 출처(문자열 배열). 유효한 값은 "모든 출처 가져오기" 엔드포인트를 참조하세요.
- Name
excludeSources- Type
- string[]
- Description
단일 또는 여러 출처를 제외합니다(문자열 배열). 유효한 값은 "모든 출처 가져오기" 엔드포인트를 참조하세요.
- Name
tickers- Type
- string[]
- Description
주식 티커 심볼로 필터링합니다(문자열 배열). 이러한 티커를 언급하는 기사를 반환합니다. 모든 티커를 포함하기 위한 와일드카드
"*"를 지원합니다.
- Name
countries- Type
- string[]
- Description
기사가 다루는 국가를 기준으로 ISO 3166-1 alpha-2 국가 코드로 필터링합니다(문자열 배열). 예:
["US", "GB", "DE"]. 기사의countries필드에 해당하며, 발행처의 국가나 회사의 소재지, 상장 시장이 아닙니다.
- Name
categories- Type
- string[]
- Description
기사 카테고리로 필터링합니다(문자열 배열). 가능한 값:
markets,economy,business,politics,geopolitics,regulation,technology,energy,commodities,crypto,health,climate,security.
- Name
includeEntities- Type
- boolean
- Description
기사에서 언급된 회사를 포함합니다. 특정 구독 등급이 필요합니다.
- Name
from- Type
- string
- Description
YYYY-MM-DD형식 또는 ISO 날짜 문자열의 시작 날짜.
- Name
to- Type
- string
- Description
YYYY-MM-DD형식 또는 ISO 날짜 문자열의 종료 날짜.
- Name
orderBy- Type
- string
- Description
정렬 기준(
"publishDate","createdAt", 또는"revisedDate") - 기본값"publishDate".publishDate는 출처에서 가져온 기사의 게시 날짜입니다.createdAt은 기사가 finlight에 처음 색인된 시점입니다.revisedDate는 가장 최근 수정 날짜로 정렬합니다(한 번도 수정되지 않은 기사는 마지막에 표시됩니다). 일부 출처는 과거 게시 날짜로 기사를 게시한다는 점에 유의하세요.
- Name
order- Type
- string
- Description
정렬 순서(
"ASC"또는"DESC") - 기본값"DESC".
- Name
pageSize- Type
- number
- Description
페이지당 결과 수(1-100).
- Name
page- Type
- number
- Description
페이지 번호.
Request
curl -X POST 'https://api.finlight.me/v2/articles' \
-H 'accept: application/json' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY' \
-d '{ "query": "Nvidia", "countries": ["US", "GB"] }'
Response
{
"status": "ok",
"page": 1,
"pageSize": 20,
"articles": [
{
"link": "https://www.example.com/article1",
"source": "www.example.com",
"title": "Stock Market Hits New Highs",
"summary": "A brief summary of the article...",
"publishDate": "2023-10-01T12:34:56Z",
"language": "en",
"sentiment": "positive",
"confidence": "0.95",
"images": [
"https://www.example.com/image1.jpg",
"https://www.example.com/image2.jpg"
],
"countries": ["US"],
"categories": ["markets", "technology"],
"companies": [
{
"companyId": 41494,
"confidence": "0.9335401058197021",
"country": "US",
"exchange": "XNAS",
"industry": "Biotechnology: Pharmaceutical Preparations",
"name": "Summit Therapeutics Inc. Common Stock",
"sector": "Health Care",
"ticker": "SMMT",
"isin": "US86627T1088",
"openfigi": "BBG01PH11VP5",
"primaryListing": {
"ticker": "SMMT",
"exchangeCode": "XNAS",
"exchangeCountry": "US"
},
"isins": ["US86627T1088", "US86627T2088"],
"otherListings": [
{
"ticker": "SMMT.L",
"exchangeCode": "XLON",
"exchangeCountry": "GB"
}
]
},
...
]
},
// ...
]
}
링크로 기사 가져오기
URL로 단일 기사를 검색합니다. 센티먼트 분석을 포함한 전체 기사 데이터를 반환하며, 선택적으로 콘텐츠와 회사 엔터티를 포함합니다.
필수 쿼리 매개변수
- Name
link- Type
- string
- Description
가져올 기사의 URL.
선택적 쿼리 매개변수
- Name
includeContent- Type
- boolean
- Description
(지원 중단) 응답에 기사 전문을 포함합니다.
- Name
includeEntities- Type
- boolean
- Description
기사에서 언급된 회사를 포함합니다. 특정 구독 등급이 필요합니다.
Request
curl -X GET 'https://api.finlight.me/v2/articles/by-link?link=https%3A%2F%2Fwww.somepage.com%2Ftechnology%2Fexample-article&includeContent=true&includeEntities=true' \
-H 'accept: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'
Response
{
"status": "ok",
"article": {
"link": "https://www.somepage.com/technology/example-article",
"source": "www.reuters.com",
"title": "Nvidia Announces New GPU Architecture",
"summary": "A brief summary of the article...",
"publishDate": "2023-10-01T12:34:56Z",
"language": "en",
"sentiment": "positive",
"confidence": "0.95",
"content": "Full article content here...",
"images": [
"https://www.example.com/image1.jpg"
],
"countries": ["US"],
"categories": ["technology"],
"companies": [
{
"companyId": 4157,
"confidence": "0.97",
"country": "US",
"exchange": "XNAS",
"industry": "Semiconductors",
"name": "NVIDIA Corporation",
"sector": "Technology",
"ticker": "NVDA",
"isin": "US67066G1040",
"openfigi": "BBG000BBJQV0"
}
]
}
}
모든 출처 가져오기
현재 지원되는 모든 기사 출처 목록을 검색합니다.
참고: 출처는 최선의 노력으로 스크래핑되며 향후 변경될 수 있습니다.
응답
출처 객체의 JSON 배열. 예:
- Name
array- Type
- Source[]
- Description
뉴스 출처 배열.
출처 모델
응답 출처 모델에는 도메인, 출처 국가, 언어, 기본 출처 여부를 포함하여 뉴스 출처에 대한 정보가 포함됩니다.
- Name
domain- Type
- string
- Description
출처 웹사이트의 도메인.
- Name
isDefaultSource- Type
- boolean
- Description
이 출처가 (
sources에 포함하지 않아도) 기본적으로 제공되는지 여부를 나타냅니다.
- Name
originCountry- Type
- string
- Description
출처의 출신 국가(ISO 3166-1 alpha-2 형식). 예:
US|GB|DE. 비어 있을 수 있습니다.
- Name
languages- Type
- string[]
- Description
출처가 게시하는 언어(ISO 639-1 코드), 주요(가장 일반적인) 언어부터 순서대로. 예:
["en"].
- Name
isCustomSource- Type
- boolean
- Description
이 출처가 귀하의 구독에 활성화된 사용자 지정 출처인 경우에만 존재하며
true입니다.
- Name
isContentAvailable- Type
- boolean
- Description
(지원 중단) 이 출처에 대해 스크래핑된 콘텐츠가 사용 가능한지 여부. 전체 기사 콘텐츠 접근이 가능한 요금제에서만 존재합니다.
Request
curl -X GET 'https://api.finlight.me/v2/sources' \
-H 'X-API-KEY: YOUR_API_KEY'
Response
[
{
"domain": "www.yahoo.com",
"isDefaultSource": true,
"originCountry": "US",
"languages": ["en"]
},
{
"domain": "seekingalpha.com",
"isDefaultSource": true,
"originCountry": "US",
"languages": ["en"]
},
// ...
]